Getting available order delivery options
The method is available for the LaaS model.
Not yet available for Market Yandex Go sellers.
If you are using an API Key token, one of the accesses in the list is required to call the method
- inventory-and-order-processing — Order processing and inventory
- inventory-and-order-processing:read-only — View order information
- pricing — Manage prices
- pricing:read-only — View prices
- all-methods — Full account management
- all-methods:read-only — View all data
Returns a list of options for order delivery. Select the appropriate delivery option from the response and send it when creating the order.
Specify courierDelivery for courier delivery or pickupDelivery for delivery to the pick-up point. Do not pass both parameters at the same time.
| ⚙️ Limit: 1 000 requests per minute |
|---|
Request
POST
https://api.partner.market.yandex.ru/v1/campaigns/{campaignId}/delivery-options
Path parameters
|
Name |
Description |
|
campaignId |
Type: integer The ID of the campaign (store) — The technical identifier that represents your store in the Yandex Market system when working through the API. It is uniquely linked to your store, but it is intended only for automated interaction. You can find it using a query GET v2/campaigns or find it in the seller's office on the Market. Click on your account icon → Settings and in the menu on the left, select APIs and modules:
⚠️ Do not confuse it with:
Min value: |
Body
application/json
{
"items": [
{
"offerId": "example",
"count": 1,
"warehouseId": 1
}
],
"pickupDelivery": {
"logisticPointsIds": [
1
]
},
"courierDelivery": {
"fullAddress": "example"
}
}
|
Name |
Description |
||
|
items |
Type: object[] Items in warehouses for which delivery options need to be returned. Within a single query, all values are Min items: Max items: Example
|
||
|
courierDelivery |
Type: object
Information about courier delivery. Do not transmit together with Example
|
||
|
pickupDelivery |
Type: object
Information about delivery to the pick-up point. Do not transmit together with Example
|
Responses
200 OK
A list of available shipping options from different warehouses.
Body
application/json
{
"status": "OK",
"result": {
"warehousesDeliveryOptions": [
{
"warehouseId": 1,
"deliveryOptions": {},
"items": [
null
]
}
]
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
result
Type: object
warehousesDeliveryOptions
Type: object[]
deliveryOptions
Type: object
courierDelivery
Type: object
courierDeliveryOptions
Type: object[]
deliveryDateInterval
Type: object
fromDate
Type: string<date>
The beginning of the interval.
Date format:
YYYY-MM-DD.Example:
2025-01-01toDate
Type: string<date>
End of the interval.
Date format:
YYYY-MM-DD.Example:
2025-01-01The range of delivery dates.
Example
{ "fromDate": "2025-01-01", "toDate": "2025-01-01" }deliveryTimeInterval
Type: object
fromTime
Type: string
The beginning of the interval.
Format:
HH:MM.Pattern:
^([0-1][0-9]|2[0-3]):[0-5][0-9]$Example:
exampletoTime
Type: string
End of the interval.
Format:
HH:MM.Pattern:
^([0-1][0-9]|2[0-3]):[0-5][0-9]$Example:
exampleThe delivery time interval.
Example
{ "fromTime": "example", "toTime": "example" }price
Type: object
All of 1 type
-
Type: object
currencyId
Type: string
Currency codes:
RUR— the Russian ruble.UAH— the Ukrainian hryvnia.BYR— the Belarusian ruble.KZT— Kazakhstani tenge.UZS— Uzbek sum.
Enum:
RUR,USD,EUR,UAH,AUD,GBP,BYR,BYN,DKK,ISK,KZT,CAD,CNY,NOK,XDR,SGD,TRY,SEK,CHF,JPY,AZN,ALL,DZD,AOA,ARS,AMD,AFN,BHD,BGN,BOB,BWP,BND,BRL,BIF,HUF,VEF,KPW,VND,GMD,GHS,GNF,HKD,GEL,AED,EGP,ZMK,ILS,INR,IDR,JOD,IQD,IRR,YER,QAR,KES,KGS,COP,CDF,CRC,KWD,CUP,LAK,LVL,SLL,LBP,LYD,SZL,LTL,MUR,MRO,MKD,MWK,MGA,MYR,MAD,MXN,MZN,MDL,MNT,NPR,NGN,NIO,NZD,OMR,PKR,PYG,PEN,PLN,KHR,SAR,RON,SCR,SYP,SKK,SOS,SDG,SRD,TJS,THB,TWD,BDT,TZS,TND,TMM,UGX,UZS,UYU,PHP,DJF,XAF,XOF,HRK,CZK,CLP,LKR,EEK,ETB,RSD,ZAR,KRW,NAD,TL,UEvalue
Type: number
Meaning.
Currency and its value.
Example
{ "value": 0.5, "currencyId": "RUR" }
The cost that the store must pay for delivery with the selected option.
Example
{ "value": 0.5, "currencyId": "RUR" }Information about courier delivery.
Min items:
1Example
[ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" }, "price": { "value": 0.5, "currencyId": "RUR" } } ]Information about courier delivery.
Example
{ "courierDeliveryOptions": [ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" }, "price": { "value": 0.5, "currencyId": "RUR" } } ] }pickupDelivery
Type: object
pickupOptions
Type: object[]
logisticPointId
Type: integer
ID of the pick-up point.
It can be found using the method POST v1/businesses/{businessId}/logistics-points.
Min value:
1options
Type: object[]
deliveryDateInterval
Type: object
fromDate
Type: string<date>
The beginning of the interval.
Date format:
YYYY-MM-DD.Example:
2025-01-01toDate
Type: string<date>
End of the interval.
Date format:
YYYY-MM-DD.Example:
2025-01-01The range of delivery dates.
Example
{ "fromDate": "2025-01-01", "toDate": "2025-01-01" }price
Type: object
All of 1 type
-
Type: object
currencyId
Type: string
Currency codes:
RUR— the Russian ruble.UAH— the Ukrainian hryvnia.BYR— the Belarusian ruble.KZT— Kazakhstani tenge.UZS— Uzbek sum.
Enum:
RUR,USD,EUR,UAH,AUD,GBP,BYR,BYN,DKK,ISK,KZT,CAD,CNY,NOK,XDR,SGD,TRY,SEK,CHF,JPY,AZN,ALL,DZD,AOA,ARS,AMD,AFN,BHD,BGN,BOB,BWP,BND,BRL,BIF,HUF,VEF,KPW,VND,GMD,GHS,GNF,HKD,GEL,AED,EGP,ZMK,ILS,INR,IDR,JOD,IQD,IRR,YER,QAR,KES,KGS,COP,CDF,CRC,KWD,CUP,LAK,LVL,SLL,LBP,LYD,SZL,LTL,MUR,MRO,MKD,MWK,MGA,MYR,MAD,MXN,MZN,MDL,MNT,NPR,NGN,NIO,NZD,OMR,PKR,PYG,PEN,PLN,KHR,SAR,RON,SCR,SYP,SKK,SOS,SDG,SRD,TJS,THB,TWD,BDT,TZS,TND,TMM,UGX,UZS,UYU,PHP,DJF,XAF,XOF,HRK,CZK,CLP,LKR,EEK,ETB,RSD,ZAR,KRW,NAD,TL,UEvalue
Type: number
Meaning.
Currency and its value.
Example
{ "value": 0.5, "currencyId": "RUR" }
The cost that the store must pay for delivery with the selected option.
Example
{ "value": 0.5, "currencyId": "RUR" }Delivery options in the PVZ.
Min items:
1Example
[ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "price": { "value": 0.5, "currencyId": "RUR" } } ]Information about delivery to the pick-up point.
Example
[ { "logisticPointId": 1, "options": [ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "price": {} } ] } ]Information about delivery to the pick-up point.
Example
{ "pickupOptions": [ { "logisticPointId": 1, "options": [ { "deliveryDateInterval": {}, "price": {} } ] } ] }Delivery options.
Example
{ "pickupDelivery": { "pickupOptions": [ { "logisticPointId": 1, "options": [ {} ] } ] }, "courierDelivery": { "courierDeliveryOptions": [ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" }, "price": {} } ] } }items
Type: object[]
count
Type: integer
The number of product units.
Min value:
1Max value:
1000offerId
Type: string
Your SKU — the product ID in your system.
Usage rules SKU:
-
For each product SKU there must be one.
-
Already set SKU it cannot be released and reused for another product. Each product should receive a new identifier that has never been used in your catalog before.
SKU The product can be changed in the seller's account on the Market. Read about how to do this. in the Help of the Market for sellers.
Warning
Spaces at the beginning and end of the value are automatically deleted. For example,
" SKU123 "and"SKU123"they will be treated as identical values.What is SKU and how to assign it
Min length:
1Max length:
255Pattern:
^(?=.*\S.*)[^\x00-\x08\x0A-\x1f\x7f]{1,255}$Example:
exampleThe products in the order.
Min items:
1Example
[ { "offerId": "example", "count": 1 } ]warehouseId
Type: integer
ID of the fulfillment warehouse of the Market.
Min value:
1Delivery options for different warehouses.
Min items:
1Example
[ { "warehouseId": 1, "deliveryOptions": { "pickupDelivery": { "pickupOptions": [ {} ] }, "courierDelivery": { "courierDeliveryOptions": [ {} ] } }, "items": [ { "offerId": "example", "count": 1 } ] } ]A list of available options for different warehouses.
Example
{ "warehousesDeliveryOptions": [ { "warehouseId": 1, "deliveryOptions": { "pickupDelivery": { "pickupOptions": [ null ] }, "courierDelivery": { "courierDeliveryOptions": [ null ] } }, "items": [ { "offerId": "example", "count": 1 } ] } ] }Example
{ "result": { "warehousesDeliveryOptions": [ { "warehouseId": 1, "deliveryOptions": { "pickupDelivery": {}, "courierDelivery": {} }, "items": [ {} ] } ] } } -
400 Bad Request
The request contains incorrect data. Learn more about errors when working with orders
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
The authorization data is not specified in the request. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
The authorization data is incorrect or access to the resource is prohibited. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
The resource access limit has been exceeded. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Internal error of Yandex. Market. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
No longer supported, please use an alternative and newer version.